QGIS Application - Bug report #4543
New diagrams: option "Show all" missing
2011-11-16 07:48 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupls data: Copied to github as #: 14459
Description

Currently new diagrams use the PAL overlap avoidance, so too close pies are not shown. Better add an option to show them all. In this
case, larger pies should always stay below smaller one (maybe this deserves a separate ticket).

History

#1 - 2011-12-16 02:09 PM - Giovanni Manghi
- Target version set to Version 1.7.4

#2 - 2012-04-16 06:32 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

#3 - 2012-08-08 02:29 AM - Matthias Kuhn

There is a possibility to show all diagrams, but it's rather a side-effect than a feature.
Enable labels for this layer (the new, PAL-driven engine)

Go to Advanced -> Engine settings

Enable "Show all"

But no ordering yet.

The current implementation does not allow to tell PAL to handle labels and diagrams differently. What do the PAL-specialists think, is there an easy way to

change this?

#4 - 2012-08-15 08:14 AM - Matthias Kuhn
- Status changed from Open to Feedback
- Target version changed from Version 1.8.0 to Version 2.0.0

| added a link to "PAL engine settings" to the diagram tab. It's still not as intuitive as it could be, but it's something that can be used.

This commit and the one before:
https://github.com/matthias-kuhn/Quantum-GIS/commit/91e6563436902b7¢c160f0e05f14ba567fb32ce46

#5 - 2012-08-16 09:17 AM - Giovanni Manghi
https://github.com/matthias-kuhn/Quantum-GIS/commit/91e6563436902b7c160f0e05f14ba567fb32ce46

Matthias Kuhn wrote:

I added a link to "PAL engine settings" to the diagram tab. It's still not as intuitive as it could be, but it's something that can be used.

This commit and the one before:
https://github.com/matthias-kuhn/Quantum-GIS/commit/91e6563436902b7c160f0e05f14ba567fb32ce46

Hi Matthias, if you are going to merge into master | guess we can close this ticket.

#6 - 2012-09-05 05:30 AM - Matthias Kuhn
- Resolution set to fixed
- Status changed from Feedback to Closed

Merged to master
https://github.com/matthias-kuhn/Quantum-GIS/commit/91e6563436902b7c160f0e05f14ba567fb32ce46

